Package com.xebialabs.xlrelease.domain

# Class UserTokenPermission

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.UserTokenPermission

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class UserTokenPermission extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserTokenPermission()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getGlobalPermissions()`
  `Set<String>`
  `globalPermissions()`
  `void`
  `globalPermissions_$eq(Set<String> x$1)`
  `void`
  `setGlobalPermissions(Set<String> x$1)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserTokenPermission

    public UserTokenPermission()

- ## Method Details

  - ### getGlobalPermissions

    public Set<String> getGlobalPermissions()

  - ### globalPermissions

    public Set<String> globalPermissions()

  - ### globalPermissions_$eq

    public void globalPermissions_$eq(Set<String> x$1)

  - ### setGlobalPermissions

    public void setGlobalPermissions(Set<String> x$1)